# Library Carpentry

The Library Carpentry module '[Introduction to programming with Python](https://librarycarpentry.org/lc-python-intro/)' is maintained by [Konrad Foerstner](https://github.com/konrad), [Drew Heles](https://github.com/dheles), [Elizabeth Wickes](https://github.com/elliewix), *[Laura Wrubel](https://github.com/lwrubel)*, [Carlos Martinez](https://github.com/c-martinez) and [Richard Vankoningsveld](https://github.com/richyvk).

## Status Note

The maintainers of this lesson are currently working on a substantial redesign of this lesson.  This means than large portions of the current lesson content will be removed or substantially rewritten.  You are welcome to submit pull requests for changes that help make this lesson better in the short run, but please keep in mind that the changes you make may be on content slated for removal.

## Background

Library Carpentry is a software skills training programme aimed at library and information professions. It builds on the work of [Software Carpentry](http://software-carpentry.org/) and [Data Carpentry](http://www.datacarpentry.org/).

Library Carpentry is in the commons and for the commons. It is not tied to any institution of person. For more information on Library Carpentry, see our website [librarycarpentry.org](https://librarycarpentry.org/).

## Contribution

There are many ways of contributing to Library Carpentry:

- Join our [Gitter discussion forum](https://gitter.im/weaverbel/LibraryCarpentry).
- Follow updates on [Twitter](https://twitter.com/search?f=tweets&vertical=default&q=%23librarycarpentry&src=typd).
- Make a suggestion or correct an error by [raising an Issue](https://github.com/LibraryCarpentry/lc-python-intro/issues).

### Local Lesson Development

If you wish to contribute changes or additions to this module, you'll want to
setup a local development environment that allows you to easily test changes
locally. In order to do this, you'll want to do the following:

1. [Fork this repository](https://help.github.com/articles/fork-a-repo/)
1. Clone your fork of the repository:

```
git clone https://github.com/<your-github-username>/lc-python-intro.git
```

1. [Install Ruby](https://www.ruby-lang.org/en/downloads/)
1. Install Jekyll `gem install jekyll`
1. Run the Jekyll server locally

```
cd <path-to>/lc-python-intro
make serve
```
1. Browse to your local server: [http://localhost:4000/](http://localhost:4000/)
1. The `Makefile` has other options as well. To see them type `make`

## Code of Conduct

All participants should agree to abide by the [Software Carpentry Code of Conduct](http://software-carpentry.org/conduct/).

## Authors

Library Carpentry is authored and maintained by the [community](https://github.com/LibraryCarpentry/lc-python-intro/network/members).

## Citation

Please cite as:

Library Carpentry. Introduction to programming with Python. 2017. https://librarycarpentry.org/lc-python-intro/.
