---
layout: lesson
root: .
permalink: index.html
---

This lesson is an introduction to programming in Python
for librarians with little or no previous programming experience.
It uses examples that are relevant to a wide range of library use cases,
and is designed to be used as a prerequisite lesson for other Python based lessons
that will be developed in the future, e.g. using the Pandas for data analysis.

This lesson references the Spyder IDE,
but can be taught using a regular Python interpreter as well.
Please note that this lesson uses Python 3 rather than Python 2.

> ## Under Design
>
> **This lesson is currently in its early design stage;
> please check [the design notes]({{ page.root }}/design/index.html)
> to see what we have so far.
> Contributions are very welcome:
> we would be particularly grateful for exercises
> and for commentary on the ones already there.**
{: .callout}

> ## Prerequisites
>
> 1. Learners need to understand what files and directories are,
>    what a working directory is,
>    and how to start a Python interpreter from a terminal window.
>
> 2. Learners must install [Anaconda](https://www.anaconda.com/download/) before the class starts.
>
>    Please see [the setup instructions]({{ page.root }}/setup.html)
>    for details.
{: .prereq}
